summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh67
1 files changed, 31 insertions, 36 deletions
diff --git a/autogen.sh b/autogen.sh
index 4ef4b414..ae9d8c13 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,7 +3,7 @@
#
# Helps generate autoconf/automake stuff, when code is checked out from SCM.
#
-# Copyright (C) 2006-2009 - Karel Zak <kzak@redhat.com>
+# Copyright (C) 2006-2010 - Karel Zak <kzak@redhat.com>
#
srcdir=`dirname $0`
@@ -14,44 +14,49 @@ cd $srcdir
DIE=0
HAS_GTKDOC=1
+test -f mount/mount.c || {
+ echo
+ echo "You must run this script in the top-level util-linux directory"
+ echo
+ DIE=1
+}
+
(autopoint --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have autopoint installed to generate util-linux build system.."
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/gettext"
+ echo "You must have autopoint installed to generate util-linux build system."
+ echo "The autopoint command is part of the GNU gettext package."
+ echo
DIE=1
}
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have autoconf installed to generate util-linux build system."
echo
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/autoconf"
DIE=1
}
-
-#(libtool --version) < /dev/null > /dev/null 2>&1 || {
-# echo
-# echo "You must have libtool-2 installed to generate util-linux build system."
-# echo "Download the appropriate package for your distribution,"
-# echo "or see http://www.gnu.org/software/libtool"
-# DIE=1
-#}
-
+(autoheader --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have autoheader installed to generate util-linux build system."
+ echo "The autoheader command is part of the GNU autoconf package."
+ echo
+ DIE=1
+}
+(libtool --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have libtool-2 installed to generate util-linux build system."
+ echo
+ DIE=1
+}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have automake installed to generate util-linux build system."
echo
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/automake"
DIE=1
}
-(autoheader --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoheader installed to generate util-linux build system."
- echo
- echo "Download the appropriate package for your distribution,"
- echo "or see http://www.gnu.org/software/autoheader"
+
+ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
+test ${ltver##2.} = "$ltver" && {
+ echo "You must have libtool version >= 2.x.x, but you have $ltver."
DIE=1
}
@@ -59,17 +64,6 @@ if test "$DIE" -eq 1; then
exit 1
fi
-test -f mount/mount.c || {
- echo "You must run this script in the top-level util-linux directory"
- exit 1
-}
-
-#ltver=$(libtoolize --version | awk '/^libtoolize/ { print $4 }')
-#test ${ltver##2.} == "$ltver" && {
-# echo "You must have libtool version >= 2.x.x, but you have $ltver."
-# exit 1
-#}
-
echo
echo "Generate build-system by:"
echo " autopoint: $(autopoint --version | head -1)"
@@ -77,11 +71,12 @@ echo " aclocal: $(aclocal --version | head -1)"
echo " autoconf: $(autoconf --version | head -1)"
echo " autoheader: $(autoheader --version | head -1)"
echo " automake: $(automake --version | head -1)"
-#echo " libtoolize: $(libtoolize --version | head -1)"
+echo " libtoolize: $(libtoolize --version | head -1)"
set -e
+po/update-potfiles
autopoint --force $AP_OPTS
-#libtoolize --force --copy $LT_OPTS
+libtoolize --force $LT_OPTS
aclocal -I m4 $AL_OPTS
autoconf $AC_OPTS
autoheader $AH_OPTS